import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaProbeArchitecture } from '@overflow/commons-typescript/model/meta';

export const metaProbeArchitectureEntityAdapter = createEntityAdapter<MetaProbeArchitecture, RPCClientError>();
export interface State extends EntityState<MetaProbeArchitecture, RPCClientError> {
}
export const initialState: State = metaProbeArchitectureEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaProbeArchitectureEntityAdapter.getSelectors(selector),
  };
}
